HelpMaster Technical Requirements

Microsoft SQL Server

HelpMaster requires Microsoft SQL Server as the database platform.  Express versions of SQL Server are also supported.

Minimum SQL Server version: 2008 (R2) sp1.  Later versions (SQL Server 2012/2014/2016+) are recommended for best performance and management.
Minimum RAM: 8GB RAM.

For complete hardware and software requirements for SQL Server, please refer to the Microsoft SQL Server books on line (BOL).  Microsoft SQL Server web site: http://www.microsoft.com/sql

HelpMaster Desktop Edition

Hardware requirements

Computer:   Intel® or compatible Pentium class 4 processor or higher.
Memory (RAM):   At least 4Gb, preferably higher.
Hard disk space:    500MB
Display: Video resolution works best at 1280 x 800 or higher

Software requirements

Operating system:   Windows Server 2008 R2, Windows 7, Windows 8, Windows 8.1 (32 bit and 64 bit versions are supported)

Microsoft .NET: 3.5sp1
Email System:    When using the Outlook option, requires Microsoft Outlook 2013 or higher to be installed on the same machine as the Email Manager service. The Email Manager can access any email system that can be accessed via a Microsoft Outlook profile.

Crystal Reports

The desktop edition of HelpMaster installs a runtime version of Crystal Reports 2011.  This is an optional component, however is required in order to run and view reports.

HelpMaster Web Portal

The HelpMaster Web interface has been designed to perform under the following specifications for the machine running IIS.

Hardware requirements

Computer:   Intel® or compatible Pentium class 4 processor or higher.
Memory (RAM):   At least 4Gb, preferably higher.
Hard disk space:    500MB

Software requirements

Operating system:  Windows Server 2012 or higher (WS 2008 R2 is NOT supported) Windows 10 (32 bit and 64 bit versions are supported)
Microsoft .NET: 3.5sp1

Email System    When using the Outlook option, requires Microsoft Outlook 2007 or higher to be installed on the same machine as the Email Manager service.

IIS (Internet Information Services)

Version 8 or higher (IIS 7, 7.5 NOT supported)
Microsoft .net Framework 3.5sp1 and 4.6 + Microsoft ASP.Net 4.6